Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.portlet
Class PortletPreferenceMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.portlet.PortletPreferenceMetaData

    public class PortletPreferenceMetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletPreferenceMetaData()`
`PortletPreferenceMetaData(java.lang.String id)`

Method Summary
`void` | `addValue(java.lang.String value)`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.util.List<java.lang.String>` | `getValue()`
`boolean` | `isReadOnly()`
`void` | `setId(java.lang.String id)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setValue(java.util.List<java.lang.String> value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPreferenceMetaData

    public PortletPreferenceMetaData()

### PortletPreferenceMetaData

    public PortletPreferenceMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.util.List<java.lang.String> getValue()

### setValue

    public void setValue(java.util.List<java.lang.String> value)

### addValue

    public void addValue(java.lang.String value)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.